org.apache.ignite.internal.processors.cache

## Interface IgniteRebalanceIterator

All Superinterfaces:
  AutoCloseable, GridCloseableIterator<CacheDataRow>, GridIterator<CacheDataRow>, GridSerializableIterator<CacheDataRow>, IgniteSpiCloseableIterator<CacheDataRow>, Iterable<CacheDataRow>, Iterator<CacheDataRow>, Serializable

All Known Implementing Classes:
  IgniteRebalanceIteratorImpl

    public interface IgniteRebalanceIterator
    extends GridCloseableIterator<CacheDataRow>

Iterator over supplied data for rebalancing.

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `historical(int partId)`
`boolean` `isPartitionDone(int partId)`
`boolean` `isPartitionMissing(int partId)`
`CacheDataRow` `peek()` Return next element without moving iterator cursor to the next one.
`void` `setPartitionMissing(int partId)` Marks partition as missing.

### Methods inherited from interface org.apache.ignite.internal.util.lang.GridCloseableIterator

`close, isClosed`

### Methods inherited from interface org.apache.ignite.internal.util.lang.GridIterator

`hasNextX, nextX, removeX`

### Methods inherited from interface java.lang.Iterable

`forEach, iterator, spliterator`

### Methods inherited from interface java.util.Iterator

`forEachRemaining, hasNext, next, remove`

### Method Detail

#### historical

    boolean historical(int partId)

Returns:
  `True` if this iterator is a historical iterator starting from the requested partition counter.

#### isPartitionDone

    boolean isPartitionDone(int partId)

Parameters:
  `partId` - Partition ID.
Returns:
  `True` if all data for given partition was already returned.

#### isPartitionMissing

    boolean isPartitionMissing(int partId)

Parameters:
  `partId` - Partition ID.
Returns:
  `True` if partition was marked as missing.

#### setPartitionMissing

    void setPartitionMissing(int partId)

Marks partition as missing.

Parameters:
  `partId` - Partition ID.

#### peek

    CacheDataRow peek()

Return next element without moving iterator cursor to the next one.

Returns:
  Next element or `Null` if there is no more elements.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.1
Release Date | : December 20 2021